Bug 1017282 - Nested resources under META-INF in a WAR are not accessible
Nested resources under META-INF in a WAR are not accessible
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Class Loading (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ER6
: EAP 6.2.0
Assigned To: David M. Lloyd
Ladislav Thon
Depends On:
Blocks: 999663
  Show dependency treegraph
Reported: 2013-10-09 10:51 EDT by Ladislav Thon
Modified: 2013-12-15 11:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-15 11:13:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1487 Major Resolved Unable to read nested resource in WAR archive 2013-11-27 09:41:36 EST

  None (edit)
Description Ladislav Thon 2013-10-09 10:51:53 EDT
Description of problem:

If in WAR archive I have a resource in META-INF/properties/nested.properties, I am unable to access it using


In a JAR archive, it works.

Version-Release number of selected component (if applicable):

EAP 6.2.0.ER5

How reproducible:


Steps to Reproduce:
1. classLoader.getResource("META-INF/properties/nested.properties");

Actual results:

Correct URL.

Expected results:


Additional info:

This blocks bug 999663.
Comment 1 Ladislav Thon 2013-10-09 10:53:20 EDT
Oh man! I always swap the "actual" and "expected" results :-(
Comment 3 Ladislav Thon 2013-10-21 05:33:38 EDT
Verified with EAP 6.2.0.ER6.

Note You need to log in before you can comment on or make changes to this bug.